Commerce Webhooks
- OpenAPI Version:
3.1.1 - API Version:
1.0.0
Servers
- URL:
https://{your-endpoint-url}
Operations
commerce.account_status_changed
- Method:
POST - Path:
commerce.account_status_changed - Tags: Account Management
The Account status changed event is triggered whenever an account’s status is updated in Zoom Commerce (for example, when an account is activated, suspended, or canceled).
Prerequisites
To receive this event, ensure the following configurations are in place for your Marketplace app.
- Event Subscriptions are enabled.
- A valid Event Notification Endpoint URL is specified.
- The Commerce Account status changed event subscription is enabled under the commerce event category.
Request Body
Content-Type: application/json
eventstring— The name of the event.event_idstring, format:UUID— A unique identifier for the event.event_tsinteger, format:int64— The timestamp at which the event occurred.payloadobjectaccountobject— The account details.create_reference_idstring— The unique reference ID for this account if created through the Zoom Commerce API.crm_account_numberstring— The unique ID for the account in the Zoom CRM system.statusstring, possible values:"success", "partial success", "failure", "submitted", "in review"— The account's latest status: success, partial success, submitted, in review, or failure.
account_idstring— The ID of the account that triggered the webhook.
Example:
{
"event": "",
"event_ts": 1,
"event_id": "",
"payload": {
"account_id": "",
"account": {
"crm_account_number": "",
"create_reference_id": "",
"status": "success"
}
}
}Responses
Status: 200 Successfully received the webhook event.
commerce.quote_status_changed
- Method:
POST - Path:
commerce.quote_status_changed - Tags: Quote
The Quote status changed event is triggered every time a quote's status is updated in Zoom Commerce (for example, when a quote is submitted, approved, or canceled).
Prerequisites
To receive this event, ensure the following configurations are in place for your Marketplace app.
- Event Subscriptions are enabled.
- A valid Event Notification Endpoint URL is specified.
- The Quote status changed event subscription is enabled under the commerce event category.
Request Body
Content-Type: application/json
eventstring— The name of the event.event_idstring, format:UUID— A unique identifier for the event.event_tsinteger, format:int64— The timestamp when the event occurred.payloadobjectaccount_idstring— The ID of the account that triggered the webhook.quoteobject— The quote details.quote_reference_idstring— The reference ID for a quote.statusstring, possible values:"failedToSubmit", "completed", "canceled", "submitted", "failed", "approved", "rejected", "returned", "provisioning", "draft", "recalled"— The status of the quote.
Example:
{
"event": "",
"event_ts": 1,
"event_id": "",
"payload": {
"account_id": "",
"quote": {
"quote_reference_id": "Q-3248714941",
"status": "approved"
}
}
}Responses
Status: 200 Successfully received the webhook event.
commerce.deal_registration_status_changed
- Method:
POST - Path:
commerce.deal_registration_status_changed - Tags: Deal Registration
The Deal Registration status changed event is triggered whenever a deal registration’s status is updated in Zoom Commerce (for example, when a deal registration is submitted, approved, or rejected).
Prerequisites
To receive this event, ensure the following configurations are in place for your Marketplace app.
- Event Subscriptions are enabled.
- A valid Event Notification Endpoint URL is specified.
- The Deal Registration status changed event subscription is enabled under the commerce event category.
Request Body
Content-Type: application/json
eventstring— The name of the event.event_idstring, format:UUID— A unique identifier for the event.event_tsinteger, format:int64— The timestamp at which the event occurred.payloadobjectaccount_idstring— The ID of the account that triggered the webhook.deal_registrationobject— The deal registration details.create_reference_idstring— The unique reference ID for this deal registration if created using the Deal Registration API.deal_reg_numberstring— The deal registration number.statusstring, possible values:"pending review", "denied", "returned", "approved", "expired", "revoked", "closed-lost", "closed-won", "failure", "pending sales review", "draft", "submitted", "submit failed"— The deal registration's status.
Example:
{
"event": "",
"event_ts": 1,
"event_id": "",
"payload": {
"account_id": "",
"deal_registration": {
"deal_reg_number": "DR-135621",
"create_reference_id": "DRR-4834729",
"status": "approved"
}
}
}Responses
Status: 200 Successfully received the webhook event.
commerce.order_status_changed
- Method:
POST - Path:
commerce.order_status_changed - Tags: Order
The Order Status Changed event is triggered whenever an order’s status is updated in Zoom Commerce (for example, when an order is placed, processed, or canceled).
Prerequisites
To receive this event, ensure the following configurations are in place for your Marketplace app.
- Event Subscriptions are enabled.
- A valid Event Notification Endpoint URL is specified.
- The Order status changed event subscription is enabled under the commerce event category.
Request Body
Content-Type: application/json
eventstring— The name of the event.event_idstring, format:UUID— A unique identifier for the event.event_tsinteger, format:int64— The timestamp at which the event occurred.payloadobjectaccount_idstring— The ID of the account that triggered the webhook.orderobject— The order details.order_reference_idstring— The reference ID for the order.statusstring, possible values:"draft", "failedToSubmit", "completed", "canceled", "failed", "submitted"— The order's status.
Example:
{
"event": "",
"event_ts": 1,
"event_id": "",
"payload": {
"account_id": "",
"order": {
"order_reference_id": "O-3248714941",
"status": "completed"
}
}
}Responses
Status: 200 Successfully received the webhook event.
Schemas
Commerce.account_status_changedEvent
- Type:
object
eventstring— The name of the event.event_idstring, format:UUID— A unique identifier for the event.event_tsinteger, format:int64— The timestamp at which the event occurred.payloadobjectaccountobject— The account details.create_reference_idstring— The unique reference ID for this account if created through the Zoom Commerce API.crm_account_numberstring— The unique ID for the account in the Zoom CRM system.statusstring, possible values:"success", "partial success", "failure", "submitted", "in review"— The account's latest status: success, partial success, submitted, in review, or failure.
account_idstring— The ID of the account that triggered the webhook.
Example:
{
"event": "",
"event_ts": 1,
"event_id": "",
"payload": {
"account_id": "",
"account": {
"crm_account_number": "",
"create_reference_id": "",
"status": "success"
}
}
}Commerce.quote_status_changedEvent
- Type:
object
eventstring— The name of the event.event_idstring, format:UUID— A unique identifier for the event.event_tsinteger, format:int64— The timestamp when the event occurred.payloadobjectaccount_idstring— The ID of the account that triggered the webhook.quoteobject— The quote details.quote_reference_idstring— The reference ID for a quote.statusstring, possible values:"failedToSubmit", "completed", "canceled", "submitted", "failed", "approved", "rejected", "returned", "provisioning", "draft", "recalled"— The status of the quote.
Example:
{
"event": "",
"event_ts": 1,
"event_id": "",
"payload": {
"account_id": "",
"quote": {
"quote_reference_id": "Q-3248714941",
"status": "approved"
}
}
}Commerce.deal_registration_status_changedEvent
- Type:
object
eventstring— The name of the event.event_idstring, format:UUID— A unique identifier for the event.event_tsinteger, format:int64— The timestamp at which the event occurred.payloadobjectaccount_idstring— The ID of the account that triggered the webhook.deal_registrationobject— The deal registration details.create_reference_idstring— The unique reference ID for this deal registration if created using the Deal Registration API.deal_reg_numberstring— The deal registration number.statusstring, possible values:"pending review", "denied", "returned", "approved", "expired", "revoked", "closed-lost", "closed-won", "failure", "pending sales review", "draft", "submitted", "submit failed"— The deal registration's status.
Example:
{
"event": "",
"event_ts": 1,
"event_id": "",
"payload": {
"account_id": "",
"deal_registration": {
"deal_reg_number": "DR-135621",
"create_reference_id": "DRR-4834729",
"status": "approved"
}
}
}Commerce.order_status_changedEvent
- Type:
object
eventstring— The name of the event.event_idstring, format:UUID— A unique identifier for the event.event_tsinteger, format:int64— The timestamp at which the event occurred.payloadobjectaccount_idstring— The ID of the account that triggered the webhook.orderobject— The order details.order_reference_idstring— The reference ID for the order.statusstring, possible values:"draft", "failedToSubmit", "completed", "canceled", "failed", "submitted"— The order's status.
Example:
{
"event": "",
"event_ts": 1,
"event_id": "",
"payload": {
"account_id": "",
"order": {
"order_reference_id": "O-3248714941",
"status": "completed"
}
}
}